xine-lib: demux_flv_t Struct Reference

xine-lib 1.2.12

Data Fields
demux_flv_t Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_t * | xine
xine_stream_t * | stream
fifo_buffer_t * | video_fifo
fifo_buffer_t * | audio_fifo
input_plugin_t * | input
int | status
unsigned char | flags
off_t | start
off_t | size
unsigned char | got_video_header
unsigned char | got_audio_header
unsigned char | got_info
unsigned int | length
int | width
int | height
int | duration
int | videocodec
int | samplerate
int | samplesize
int | audio_channels
int | audiocodec
off_t | filesize
flv_index_entry_t * | index
unsigned int | num_indices
unsigned int | cur_pts
int64_t | last_pts [2]
int | send_newpts
int | buf_flag_seek
int | audiodelay
uint32_t | video_time
unsigned int | zero_pts_count
uint8_t * | tempbuf

## Field Documentation

## ◆ audio_channels

int demux_flv_t::audio_channels

## ◆ audio_fifo

fifo_buffer_t* demux_flv_t::audio_fifo

## ◆ audiocodec

int demux_flv_t::audiocodec

## ◆ audiodelay

int demux_flv_t::audiodelay

## ◆ buf_flag_seek

int demux_flv_t::buf_flag_seek

## ◆ cur_pts

unsigned int demux_flv_t::cur_pts

## ◆ demux_plugin

demux_plugin_t demux_flv_t::demux_plugin

## ◆ duration

int demux_flv_t::duration

## ◆ filesize

off_t demux_flv_t::filesize

## ◆ flags

unsigned char demux_flv_t::flags

## ◆ got_audio_header

unsigned char demux_flv_t::got_audio_header

## ◆ got_info

unsigned char demux_flv_t::got_info

## ◆ got_video_header

unsigned char demux_flv_t::got_video_header

## ◆ height

int demux_flv_t::height

## ◆ index

flv_index_entry_t* demux_flv_t::index

## ◆ input

input_plugin_t* demux_flv_t::input

## ◆ last_pts

int64_t demux_flv_t::last_pts[2]

## ◆ length

unsigned int demux_flv_t::length

## ◆ num_indices

unsigned int demux_flv_t::num_indices

## ◆ samplerate

int demux_flv_t::samplerate

## ◆ samplesize

int demux_flv_t::samplesize

## ◆ send_newpts

int demux_flv_t::send_newpts

## ◆ size

off_t demux_flv_t::size

## ◆ start

off_t demux_flv_t::start

## ◆ status

int demux_flv_t::status

## ◆ stream

xine_stream_t* demux_flv_t::stream

## ◆ tempbuf

uint8_t* demux_flv_t::tempbuf

## ◆ video_fifo

fifo_buffer_t* demux_flv_t::video_fifo

## ◆ video_time

uint32_t demux_flv_t::video_time

## ◆ videocodec

int demux_flv_t::videocodec

## ◆ width

int demux_flv_t::width

## ◆ xine

xine_t* demux_flv_t::xine

## ◆ zero_pts_count

unsigned int demux_flv_t::zero_pts_count

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/demuxers/demux_flv.c